/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.sample.job01;

import java.util.Date;

import jp.terasoluna.fw.batch.openapi.BLogicResult;
import jp.terasoluna.fw.batch.openapi.ReturnCode;
import jp.terasoluna.fw.batch.openapi.SupportLogic;
import jp.terasoluna.fw.dao.UpdateDAO;

/**
 * ジョブ後処理クラス。
 */
public class DBJobPostLogic implements SupportLogic<DBJobContext> {
   
    /**
     * DAOクラス。
     * Springによりインスタンス生成され設定される。
     */
    private UpdateDAO updateDAO = null;
    
    public BLogicResult execute(DBJobContext jobContext) {

    
    //“残高履歴テーブル”にレコードを追加する。
    Date unyohiduke = jobContext.getUnyohiduke();
    int count = jobContext.getCount();
    
    ZandakaRirekiData rireki = new ZandakaRirekiData();
    rireki.setSyoribi(unyohiduke);
    rireki.setSyorikensu(count);

    updateDAO.execute("Sample.insertZandakaRireki", rireki);

    //ビジネスロジック処理結果オブジェクトを返却する。
    BLogicResult result = new BLogicResult(ReturnCode.NORMAL_CONTINUE);
    return result;
    }

    /**
     * UpdateDAOを設定する。
     * @param updateDAO 設定するUpdateDAO
     */
    public void setUpdateDAO(UpdateDAO updateDAO) {
        this.updateDAO = updateDAO;
    }

}
